import request from '@/utils/request'

// 查询好友欢迎语的附件列表
export function listFriendWelcomeItem(query) {
  return request({
    url: '/qw/friendWelcomeItem/list',
    method: 'get',
    params: query
  })
}

// 查询好友欢迎语的附件详细
export function getFriendWelcomeItem(id) {
  return request({
    url: '/qw/friendWelcomeItem/' + id,
    method: 'get'
  })
}

// 新增好友欢迎语的附件
export function addFriendWelcomeItem(data) {
  return request({
    url: '/qw/friendWelcomeItem',
    method: 'post',
    data: data
  })
}

// 修改好友欢迎语的附件
export function updateFriendWelcomeItem(data) {
  return request({
    url: '/qw/friendWelcomeItem',
    method: 'put',
    data: data
  })
}

// 删除好友欢迎语的附件
export function delFriendWelcomeItem(id) {
  return request({
    url: '/qw/friendWelcomeItem/' + id,
    method: 'delete'
  })
}

// 导出好友欢迎语的附件
export function exportFriendWelcomeItem(query) {
  return request({
    url: '/qw/friendWelcomeItem/export',
    method: 'get',
    params: query
  })
}
